Summary:	PDF reader optimised for scientific literature
Name:		utopia-documents
Version:	3.0.1
Release:	%mkrel 1
License:	GPLv3
Group:		Office/Utilities
URL:		http://utopiadocs.com/
Source0:	http://utopiadocs.com/files/%{name}-%{version}.tgz
Patch0:		%{name}_config-build.patch
Patch1:		%{name}_linkage.patch
BuildRequires:	zip
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(libpcrecpp)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	qglviewer-devel
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	swig

%description
Utopia Documents is a free PDF reader that connects the static content of
scientific articles to the dynamic world of online content.

It makes it easy to explore an article's content and claims, and investigate
other recent articles that discuss the same or similar topics, get access to
an article's metadata, generate a formatted citation for use in your own work,
follow bibliographic links to cited articles, get a document's related data,
and see what other researchers have been saying about the article you're
reading and its subject in social networks.

%prep
%setup -q
%autopatch -p1

%build
%setup_compile_flags

%configure2_5x --release

%make -C build

%install
%make_install -C build

# Put the icons in the right directory.
mv %{buildroot}%{_iconsdir}/gnome %{buildroot}%{_iconsdir}/Adwaita

%files
%{_bindir}/%{name}
%{_prefix}/lib/%{name}/
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/Adwaita/*/apps/*.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
